Get Identity | Orwel Docs
Docs

Get Identity

Retrieve a specific visitor identity by ID

GET https://api.orwel.io/api/v1/identities/{id}

Path Parameters

idstringpathrequired

The unique identifier (UUID) of the identity

Response

dataobject

The visitor identity object

Show Identity Object
idstring

Unique identifier for the identity

workspace_idstring

Workspace ID (always your workspace)

visitor_idstring

Associated visitor ID

emailstring

Email address

namestring

Full name

traitsobject

Custom traits (JSONB)

first_seenstring

ISO 8601 timestamp of first visit

last_seenstring

ISO 8601 timestamp of last visit

ipstring

IP address

citystring

City

countrystring

Country

is_favoriteboolean

Whether identity is marked as favorite

created_atstring

ISO 8601 timestamp of creation

Request
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
Response
{
  "data": {
    "id": "ee0e8400-e29b-41d4-a716-446655440009",
    "workspace_id": "770e8400-e29b-41d4-a716-446655440002",
    "visitor_id": "660e8400-e29b-41d4-a716-446655440001",
    "email": "user@example.com",
    "name": "John Visitor",
    "traits": {
      "plan": "enterprise",
      "company": "Acme Corp"
    },
    "first_seen": "2025-01-10T08:00:00Z",
    "last_seen": "2025-01-15T16:30:00Z",
    "ip": "192.168.1.1",
    "city": "San Francisco",
    "country": "USA",
    "is_favorite": true,
    "created_at": "2025-01-10T08:00:00Z"
  }
}